org.vertx.java.core.http.impl

## Class AbstractConnection

- java.lang.Object
- - org.vertx.java.core.net.impl.ConnectionBase
  - - org.vertx.java.core.http.impl.AbstractConnection

    public abstract class AbstractConnection
    extends ConnectionBase

### Field Summary

### Fields inherited from class org.vertx.java.core.net.impl.ConnectionBase

`channel, closedHandler, context, exceptionHandler, vertx`

### Constructor Summary

Constructors
`protected` `AbstractConnection(VertxInternal vertx, org.jboss.netty.channel.Channel channel, Context context)`

### Method Summary

### Methods inherited from class org.vertx.java.core.net.impl.ConnectionBase

`addFuture, close, closedHandler, exceptionHandler, getContext, handleClosed, handleException, handleHandlerException, isSSL, pause, resume, sendFile, setContext, setWriteQueueMaxSize, writeQueueFull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractConnection

    protected AbstractConnection(VertxInternal vertx,
                      org.jboss.netty.channel.Channel channel,
                      Context context)